<?php

namespace Ghasedak;


class GhasedakApi
{
	
	protected $api;


	private $namespace = '\Ghasedak\\';

	public function __construct($apiKey)
	{


		if (is_null($apiKey)) {

			die('api is empty');

			exit;

		}

		$this->api = $apiKey;


	}

	public function __call($name,$arguments)
	{

		$type=null;

		$class= $this->namespace.ucfirst($name);

		if($name=='sms'){

			$type = isset($arguments[0])? $arguments[0] : 'rest';

			$class.=ucfirst($type);

		}

		if(class_exists($class))
		{

			return new $class($this->api);

		}

	}
	
}
